Install Memo: Digital Unix 5.1A


"Install Memo: Digital Unix 3.2G" is also available.


Installed softwares

GNU tools

SSH related

Others


Build instructions

bash-3.1 (2006.9.20 new)

Required install
readline-5.1
Required files
bash-3.1.tar.gz, bash31-001, bash31-002, ..., bash31-017
tar zxf bash-3.1.tar.gz
cd bash-3.1
for i in bash31-* ; do
  patch -p0 > ${i}
done
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

bison-2.3 (2006.9.20 new)

Required installation
m4-1.4.6
Required files
bison-2.3.tar.gz
tar zxf bison-2.3.tar.gz
cd bison-2.3
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

bzip2-1.0.3 (2006.9.20 new)

Required files
bash-3.1.tar.gz
tar zxf bzip2-1.0.3.tar.gz
cd bzip2-1.0.3
make CC=cc CFLAGS="-O -g" -f Makefile-libbz2_so 2>&1 | tee libbz2_so.log
make CC=cc CFLAGS="-O -g" 2>&1 | tee make.log
make install PREFIX=/usr/local 2>&1 | tee install.log
cp bzip2-shared /usr/local/bin/bzip2
cp libbz.so.1.0.3 /usr/local/lib
cd /usr/local/bin
rm bzcat bzcmp bzegrep bzfgrep bzless
ln -s bzip2 bzcat
ln -s bzdiff bzcmp
ln -s bzgrep bzegrep
ln -s bzgrep bzfgrep
ln -s bzmore bzless
cd /usr/local/lib
ln -s libbz2.so.1.0.3 libbz2.so.1.0
ln -s libbz2.so.1.0 libbz2.so

m4-1.4.6 (2006.9.20 new)

Required files
m4-1.4.6.tar.gz
tar zxf m4-1.4.6.tar.gz
cd m4-1.4.6
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

make-3.81 (2006.9.20 new)

Required files
make-3.81.tar.gz
tar zxf make-3.81.tar.gz
cd make-3.81
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

openssh-4.3p2 (2006.9.20 new)

Required install
openssl-0.9.8c
Required files
openssh-4.3p2.tar.gz
tar zxf openssh-4.3p2.tar.gz
cd openssh-4.3p2
./configure --with-zlib=/usr/local --with-ssl-dir=/usr/local/ssl 2>&1 | tee configure.log
make 2>&1 | tee make.log
make test 2>&1 | tee test.log
make install 2>&1 | tee install.log

openssl-0.9.8c (2006.9.20 new)

Required install
zlib-1.2.3
Required files
openssl-0.9.8c.tar.gz
tar zxf openssl-0.9.8c.tar.gz
cd openssl-0.9.8c
./config shared zlib-dynamic -L/usr/local/lib -I/usr/local/include 2>&1 | tee config.log
make 2>&1 | tee make.log
make test 2>&1 | tee test.log
make install 2>&1 | tee install.log
cd /usr/local/lib
ln -s ../ssl/lib/lib* .
cd ../include
ln -s ../ssl/include/openssl .

readline-5.1 (2006.9.20 new)

Required files
readline-5.1.tar.gz, readline51-001, readline51-002, ..., readline51-004
tar zxf readline-5.1.tar.gz
cd readline-5.1
for i in readline51-* ; do
  patch -p0 > ${i}
done
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make install 2>&1 | tee install.log

tar-1.15 (2006.9.20 new)

Required files
tar-1.15.tar.gz
tar zxf tar-1.15.tar.gz
cd tar-1.15
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

texinfo-4.8 (2006.9.20 new)

Required install
openssl-0.9.8c
Required files
texinfo-4.8.tar.gz
tar zxf texinfo-4.8.tar.gz
cd texinfo-4.8
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make check 2>&1 | tee check.log
make install 2>&1 | tee install.log

wget-1.10.2 (2006.9.20 new)

Required install
openssl-0.9.8c
Required files
wget-1.10.2.tar.gz
tar zxf wget-1.10.2.tar.gz
cd wget-1.10.2
./configure 2>&1 | tee configure.log
make 2>&1 | tee make.log
make install 2>&1 | tee install.log

zlib-1.2.3 (2006.9.20 new)

Required files
zlib-1.2.3.tar.gz
tar zxf zlib-1.2.3.tar.gz
cd zlib-1.2.3
./configure --shared 2>&1 | tee configure.log
make all libz.a 2>&1 | tee make.log
make test 2>&1 | tee test.log
make install 2>&1 | tee install.log
cp libz.a /usr/local/lib


Back toInstall Memo


MATSUURA Takanori
t.matsuu%gmail.com (Please change the mark "%" to "@")

Valid XHTML 1.1! Valid CSS!